<?

// Автор: Rostik98ua
// kolkhoz.spaces.ru
// Если мод попала в вашие руки незаконно, т.е. не из моих рук, просьба сдаться, я же всёравно вас найду!
// мод запрещено использовать как объек заработка денег!
// Ася: 643347249
// Скайп: skype020798
// Имейте совесть и уважение!

if(isset($_GET['actions']))
{
if($_GET['actions']=="ok" and !empty ($_POST['actions']))
{
mysql_query("UPDATE `kolhoz_user` SET `action` = '$_POST[actions]' ");
msg_game("Акция выбрана");
}
}
if(isset($_GET['sbros_all']) && isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `action1` = '0', `action2` = '0', `action3` = '0', `action4` = '0'");
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Акции отключены у всех играков!</span></li></ul></div>";
}
elseif(isset($_GET['sbros_all']))
{
echo '<div class="event"><h1>Подтверждение</h1></div>
<div class="content"><ul class="block">
<li><span class="title">Вы уверены?</span></li>
<li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="?admin=actions&sbros_all&ok"><span> Да, подтверждаю</span></a></li>
<li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="?admin=actions"><span> Нет, отказываюсь</span></a></li></ul>';
include_once 'inc/foot.php';
exit;
}
echo "<div class='event'><h1>Акции</h1></div>";
echo '<div class="content"><div class="block">';
echo "<li><img alt='' width='16' height='16' src='images/icons/pkey.png'> <a href='?act_user'> Фермера с акциями и ключами</a></li>";
echo "<ul>";
echo '<li class="pt"><form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actions=ok" method="post" name="them"><span class="title">Сейчас акция</span> <select name="actions" size="0"> <option value="0">Виключина</option> <option value="1">Супер акция</option> <option selected="2" value="2">на Грядки</option> <option selected="3" value="3">на Рубины</option> <option selected="4" value="4">на Животных</option> <option selected="5" value="5">на Вертолеты</option> <option selected="6" value="6">на Пугало</option> <option selected="7" value="7">на Гидропонику</option> <option selected="8" value="8">на Ветряк</option> <option selected="9" value="9">на Технику</option> <option selected="10" value="10">на Постройки</option> <input type="submit" value="Включить"></select></form></li>';
echo "<li class='pt'><div> <a href='?admin=actions&actuser'> <img alt='' width='16' height='16' src='images/icons/tick.png'> Включить</a> | <a href='?admin=actions&actuser0'><img src='images/icons/cross.png'> Выключить</a> акцию игроку</div></li>";
echo "<li><div> <a href='?admin=actions&key_yes'> <img alt='' width='16' height='16' src='images/icons/pkey.png'> Выдать</a> | <a href='?admin=actions&key_no'><img src='images/icons/zkey.png'> Забрать</a> ключь</div></li>";
echo "<li><div><img alt='' width='16' height='16' src='images/icons/ruby.png'> <a href='?admin=actions&rubiess'> Выдать рубины</a></div></li>";
echo "<li><div><img alt='' width='16' height='16' src='images/action/action5.png'> <a href='?admin=actions&actuser5'> Нанять Вертолеты игроку</a></div></li>";
echo "<li><div><img alt='' width='16' height='16' src='images/action/action6.png'> <a href='?admin=actions&actuser6'> Нанять Пугало игроку</a></div></li>";
echo "<li><div><img alt='' width='16' height='16' src='images/action/action8.png'> <a href='?admin=actions&actuser8'> Нанять Ветряк игроку</a></div></li>";
echo "<li><div><img alt='' width='16' height='16' src='images/action/action7.png'> <a href='?admin=actions&actuser7'> Нанять Гидропонику игроку</a></div></li>";
if(isset($_GET['key_no']))
{
if($_GET['key_no']=="ok" and !empty ($_POST['nick']))
{
mysql_query("UPDATE `kolhoz_user` SET `cellar_key` = `cellar_key` - '$_POST[key]' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] выдали ключ");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&&key_no=ok" method="post" name="them"><div class="block event"><span class="title">Забрать ключь от погреба</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>ключей: <input name="key" value=""></span>
<div><input type="submit" value="Выдать"></form></div></div></div></div>';
}
}
if(isset($_GET['key_yes']))
{
if($_GET['key_yes']=="ok" and !empty ($_POST['nick']))
{
mysql_query("UPDATE `kolhoz_user` SET `cellar_key` = `cellar_key` + '$_POST[key]' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] выдали ключ");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&&key_yes=ok" method="post" name="them"><div class="block event"><span class="title">Выдать ключь от погреба</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>ключей: <input name="key" value=""></span>
<div><input type="submit" value="Выдать"></form></div></div></div></div>';
}
}

if(isset($_GET['rubiess']))
{
if($_GET['rubiess']=="ok" and !empty ($_POST['nick']))
{
mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '$_POST[rubies]' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] выдали рубины");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&rubiess=ok" method="post" name="them"><div class="block event"><span class="title">Выдать рубины</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>рубинов: <input name="rubies" value=""></span>
<div><input type="submit" value="Выдать"></form></div></div></div></div>';
}
}



if(isset($_GET['actuser']))
{
if($_GET['actuser']=="ok" and !empty ($_POST['nick']))
{
mysql_query("UPDATE `kolhoz_user` SET `action".$_POST[action]."` = '1' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] акция подключена");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser=ok" method="post" name="them"><div class="block event"><span class="title">Включить акцию игроку</span> <div>
<span class="epic">Ник игрока: <input name="nick" value=""> <div>№ акции: <input name="action" value=""></span>
<div><input type="submit" value="Включить"></form></div></div></div></div>';
echo '<li class="pt"><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">1</span> <font color="green">На постройки</font></li>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">2</span> <font color="green">На технику</font></div>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">3</span> <font color="green">На Грядки</font></div>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">4</span> <font color="green">На Животных</font></div>';
}
}
if(isset($_GET['actuser0']))
{
if($_GET['actuser0']=="ok" and !empty ($_POST['nick']))
{
mysql_query("UPDATE `kolhoz_user` SET `action".$_POST[action]."` = '0' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] акция отключена");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser0=ok" method="post" name="them"><div class="block event"><font color="red">Выключить акцию игроку</font><div>
<span class="epic">Ник игрока: <input name="nick" value=""> <div>№ акции: <input name="action" value=""></span>
<div><input type="submit" value="Отключить"></form></div></div></div></div>';
echo '<li class="pt"><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">1</span> <font color="green">На постройки</font></li>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">2</span> <font color="green">На технику</font></div>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">3</span> <font color="green">На Грядки</font></div>';
echo '<div><img src="images/bullet_green.png" alt="o"><span class="epic">Акция №</span><span class="title">4</span> <font color="green">На Животных</font></div>';
}
}
if(isset($_GET['actuser5']))
{
if($_GET['actuser5']=="ok" and !empty ($_POST['nick']))
{
$timee=3600*$_POST[timev];
mysql_query("UPDATE `kolhoz_user` SET `time_shmel` = '".($ku["time_shmel"]>$time?"".($ku["time_shmel"]+$timee)."":"".($time+$timee)."")."' WHERE `nick` = '$_POST[nick]'");
mysql_query("UPDATE `kolhoz_user` SET `time_yastreb` = '".($ku["time_yastreb"]>$time?"".($ku["time_yastreb"]+$timee)."":"".($time+$timee)."")."' WHERE `nick` = '$_POST[nick]'");
mysql_query("UPDATE `kolhoz_user` SET `time_drakon` = '".($ku["time_drakon"]>$time?"".($ku["time_drakon"]+$timee)."":"".($time+$timee)."")."' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] верты наняты");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser5=ok" method="post" name="them"><div class="block event"><span class="title">Нанять игроку все вертолеты</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>на время: <input name="timev" value=""></span>
<div><input type="submit" value="Нанять"></form></div></div></div></div>';
}
}

if(isset($_GET['actuser6']))
{
if($_GET['actuser6']=="ok" and !empty ($_POST['nick']))
{
$timee=3600*$_POST[times];
mysql_query("UPDATE `kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."', `scarecrow_day` = '".($time+(12*3600))."' WHERE `nick` = '$_POST[nick]'");
msg_game("Игроку $_POST[nick] пугало нанято");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser6=ok" method="post" name="them"><div class="block event"><span class="title">Нанять игроку пугало</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>на время: <input name="times" value=""></span>
<div><input type="submit" value="Нанять"></form></div></div></div></div>';
}
}

if(isset($_GET['actuser7']))
{
if($_GET['actuser7']=="ok" and !empty ($_POST['nick']))
{
$timee=3600*$_POST[timeg];
$ps=300;
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps' WHERE `id` = '$ku[id]'");
msg_game("Игроку $_POST[nick] гидропоника нанята");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser7=ok" method="post" name="them"><div class="block event"><span class="title">Нанять игроку гидропонику</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>на время: <input name="timeg" value=""></span>
<div><input type="submit" value="Нанять"></form></div></div></div></div>';
}
}

if(isset($_GET['actuser8']))
{
if($_GET['actuser8']=="ok" and !empty ($_POST['nick']))
{
$timee=3600*$_POST[timet];
mysql_query("UPDATE `kolhoz_user` SET `time_vetruk` = '".($ku['time_vetruk']>$time?"".($ku['time_vetruk']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
msg_game("Игроку $_POST[nick] ветряк нанят");
}
else
{
error_reporting(E_ALL^E_NOTICE);
echo '<form action="http://'.$_SERVER[HTTP_HOST].'/?admin=actions&actuser8=ok" method="post" name="them"><div class="block event"><span class="title">Нанять игроку ветряк</span><div>
<span class="epic">Ник игрока: <input name="nick" value="">  <div>на время: <input name="timet" value=""></span>
<div><input type="submit" value="Нанять"></form></div></div></div></div>';
}
}




echo "<li class='pt'><small><img width='14' height='14' src='images/icons/cross.png'> <a href='?admin=actions&sbros_all'>Выключить акции у всех</a></small></li>";



echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';
?>